// Copyright (c) 2019, The GoKi Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

/*
Package gi is the top-level repository for the GoGi GUI framework.

All of the code is in the sub-packages within this repository:

* gi: contains the main 2D GUI code

* gi3d: contains the 3D scenegraph framework, that interoperates seamlessly with the 2D.

* giv: are more complex Views of Go data structures, built out of gi widgets, supporting
the Model-View paradigm.

* svg: provides a full SVG rendering framework, used for Icons, and in its own right.

* oswin: is the OS-specific framework, originally based on Shiny, that provides all the
gory guts for dealing with different OS's.

* examples: contains a number of useful examples for learning how to use GoGi -- see
widgets and its README file for a basic introduction.  marbles is really fun!

*/
package gi
